%global srcname pysrt

Name:           python-%{srcname}
Version:        1.1.1
Release:        7%{?dist}
Summary:        Library used to edit or create SubRip files
License:        GPLv3
URL:            https://github.com/byroot/pysrt
Source:         https://github.com/byroot/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
# BuildRequires for tests:
BuildRequires:  python3-chardet

%global _description\
pysrt is a Python library used to edit or create SubRip files.

%description %_description

%package -n python3-%{srcname}
Summary:        %summary
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install
# Remove shebang from Python3 libraries
for lib in `find %{buildroot}%{python3_sitelib} -name "*.py"`; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%doc README.rst
%license LICENCE.txt
%{_bindir}/srt
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py*.egg-info

%changelog
* Wed Jan 09 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-7
- Subpackage python2-pysrt has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.1.1-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Aug 31 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.1.1-2
- Update Source URL
- Remove shebang from libraries

* Mon Aug 28 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.1.1-1
- Initial RPM release
